#include <stdio.h>
#include <stdlib.h>

// see https://www.gnu.org/software/gsl/manual/html_node/Matrices.html
#include <gsl/gsl_matrix.h>

#include "wernerparams.h"
#include "werner.h"


int main(int argc, char** argv)
{

    // Allocate matrix Z: number of sand slabs
    gsl_matrix* Z = gsl_matrix_alloc(rows, cols);

    // Read matrix from stdin
    gsl_matrix_fscanf(stdin, Z);

    // Print formatted result to stdout
    print_matrix(Z);

    // End program
    gsl_matrix_free(Z);
    return 0;
}
